#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 enclosed-exceptions
version:              1.0.3
visibility:           public
id:                   enclosed-exceptions-1.0.3-AcpkEmm9n2ZFP17xvESRKz
key:                  enclosed-exceptions-1.0.3-AcpkEmm9n2ZFP17xvESRKz
license:              MIT
maintainer:           jmacristovao@gmail.com, michael@snoyman.com
author:               Michael Snoyman, João Cristóvão
homepage:             https://github.com/jcristovao/enclosed-exceptions
synopsis:             Catching all exceptions from within an enclosed computation
description:
    Catching all exceptions raised within an enclosed computation,
    while remaining responsive to (external) asynchronous exceptions.
    For more information on the technique, please see:
    <https://www.fpcomplete.com/user/snoyberg/general-haskell/exceptions/catching-all-exceptions>

category:             Control
abi:                  4d88874998f145522e51ae59c393210c
exposed:              True
exposed-modules:      Control.Exception.Enclosed
import-dirs:          /usr/lib/ghc-9.4.8/site-local/enclosed-exceptions-1.0.3
library-dirs:         /usr/lib/ghc-9.4.8/site-local/enclosed-exceptions-1.0.3
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/enclosed-exceptions-1.0.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-enclosed-exceptions
hs-libraries:         HSenclosed-exceptions-1.0.3-AcpkEmm9n2ZFP17xvESRKz
depends:
    base-4.17.2.1 deepseq-1.4.8.0
    lifted-base-0.2.3.12-FGBHqmzvQdK6eg603ex15w
    monad-control-1.0.3.1-2MwvUvBtsCMC9JvU7HfDDX transformers-0.5.6.2
    transformers-base-0.4.6-3xf5KPJy0SA2JWTsENPu37

haddock-interfaces:
    /usr/share/doc/haskell-enclosed-exceptions/html/enclosed-exceptions.haddock

haddock-html:         /usr/share/doc/haskell-enclosed-exceptions/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

